<script lang="ts">
import { defineComponent, type PropType } from 'vue'
import type Lord from '@/types/lord'

export default defineComponent({
  props: {
    lord: {
      type: Object as PropType<Lord>,
      required: true
    }
  },
  setup(props) {
    props.lord
  }
})
</script>

<template>
  <div class="lord-wrapper">
    <span class="name-line">
      <p>Name</p>
      <p class="lord-value">{{ lord.name }}</p>
    </span>

    <span>
      <p>Faction</p>
      <p class="lord-value">{{ lord.faction }}</p>
    </span>

    <span>
      <p>Game</p>
      <p class="lord-value">{{ lord.game }}</p>
    </span>
  </div>
</template>

<style scoped>
.lord-wrapper {
  display: flex;
  gap: 0rem;
}

.lord-wrapper span {
  display: flex;
  justify-content: space-between;
}

.lord-value {
  color: var(--vt-c-lavender);
}
</style>
